'use strict';

/* Directives */


angular.module('licenseServerApp.directives', []).
  directive('appVersion', ['version', function(version) {
    return function(scope, elm, attrs) {
      elm.text(version);
    };
  }])
  
.directive('contenteditable', function() {
  return {
    require: 'ngModel',
    link: function(scope, elm, attrs, ctrl) {
      // view -> model
      elm.on('blur', function() {
        scope.$apply(function() {
          ctrl.$setViewValue(elm.html());
        });
      });
 
      // model -> view
      ctrl.$render = function() {
        elm.html(ctrl.$viewValue);
      };
 
      // load init value from DOM
      ctrl.$setViewValue(elm.html());
    }
  };
});  
